[Rcpp-commits] r857 - scripts

noreply at r-forge.r-project.org noreply at r-forge.r-project.org
Sun Mar 7 23:47:09 CET 2010


Author: edd
Date: 2010-03-07 23:47:09 +0100 (Sun, 07 Mar 2010)
New Revision: 857

Modified:
   scripts/runExamples.sh
Log:
make sure we day on error rather than continue


Modified: scripts/runExamples.sh
===================================================================
--- scripts/runExamples.sh	2010-03-07 22:03:26 UTC (rev 856)
+++ scripts/runExamples.sh	2010-03-07 22:47:09 UTC (rev 857)
@@ -1,5 +1,7 @@
 #!/bin/bash
 
+set -e 
+
 function runConvolveBennchmark {
 	cd Rcpp/inst/examples/ConvolveBenchmarks
 	./buildAndRun.sh
@@ -34,13 +36,12 @@
 function runRInsideExamples {
 	cd ../../rinside/pkg/inst/examples/standard
 	make 
-	make runAll
 	cd -
 }
 
-#runConvolveBennchmark
-#runFastLM
-#runFunctionCallback
-#runRcppInline
+runConvolveBennchmark
+runFastLM
+runFunctionCallback
+runRcppInline
 
-runRInsideExamples
\ No newline at end of file
+runRInsideExamples



More information about the Rcpp-commits mailing list